Debian Bug report logs - #609160
debian-policy: include DEP5

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Lars Wirzenius <liw@liw.fi>

Date: Thu, 6 Jan 2011 21:54:02 UTC

Severity: wishlist

Done: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Thu, 06 Jan 2011 21:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

n/a

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 06 Jan 2011 21:54:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: debian bugs <submit@bugs.debian.org>
Subject: debian-policy: include DEP5
Date: Thu, 06 Jan 2011 21:49:17 +0000
[Message part 1 (text/plain, inline)]
Package: debian-policy
Version: n/a

Attached please find a patch that adds a copy of DEP5 to the
debian-policy package. I have attempted to add it to the Makefile and
debian/rules file, but not sure if I did it in a good way.

The actual spec text is identical to the one on the DEP site
(http://dep.debian.net/deps/dep5/), except I changed a couple of places
that used ikiwiki-specific extensions to the markdown format, and
changed the example URL to be what I expect to be the URL once this is
included in the package and published on www.debian.org.
[policy-dep5.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Fri, 07 Jan 2011 13:45:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 07 Jan 2011 13:45:29 GMT) Full text and rfc822 format available.

Message #10 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Fri, 7 Jan 2011 22:37:24 +0900
Le Thu, Jan 06, 2011 at 09:49:17PM +0000, Lars Wirzenius a écrit :
> 
> Attached please find a patch that adds a copy of DEP5 to the
> debian-policy package. I have attempted to add it to the Makefile and
> debian/rules file, but not sure if I did it in a good way.
> 
> The actual spec text is identical to the one on the DEP site
> (http://dep.debian.net/deps/dep5/), except I changed a couple of places
> that used ikiwiki-specific extensions to the markdown format, and
> changed the example URL to be what I expect to be the URL once this is
> included in the package and published on www.debian.org.

Dear all,

if adding a third markup language to the debian-policy package is discouraged,
I offer to convert the markdown file to debiandoc. Please ping me if necessary.

Have a nice day,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Fri, 07 Jan 2011 17:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 07 Jan 2011 17:48:18 GMT) Full text and rfc822 format available.

Message #15 received at 609160@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Fri, 07 Jan 2011 09:46:44 -0800
Charles Plessy <plessy@debian.org> writes:
> Le Thu, Jan 06, 2011 at 09:49:17PM +0000, Lars Wirzenius a écrit :

>> Attached please find a patch that adds a copy of DEP5 to the
>> debian-policy package. I have attempted to add it to the Makefile and
>> debian/rules file, but not sure if I did it in a good way.

>> The actual spec text is identical to the one on the DEP site
>> (http://dep.debian.net/deps/dep5/), except I changed a couple of places
>> that used ikiwiki-specific extensions to the markdown format, and
>> changed the example URL to be what I expect to be the URL once this is
>> included in the package and published on www.debian.org.

> if adding a third markup language to the debian-policy package is
> discouraged, I offer to convert the markdown file to debiandoc. Please
> ping me if necessary.

I admit I'm not particularly thrilled about either of those options;
DebianDoc is fairly deprecated at this point, and while Markdown is a lot
simpler and easier to manage, adding a third markup language, as
mentioned, does raise the barrier of entry a bit.

My long-term hope was still that we could all eventually move to Docbook,
but I've had zero time to work on that (or anything else related to Policy
lately).

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sat, 15 Jan 2011 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 15 Jan 2011 22:39:04 GMT) Full text and rfc822 format available.

Message #20 received at 609160@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-devel@lists.debian.org
Cc: 609160@bugs.debian.org
Subject: Re: DEP5: CANDIDATE and ready for use in squeeze+1
Date: Sat, 15 Jan 2011 23:38:12 +0100
[Message part 1 (text/plain, inline)]
[ Cc:-ing policy integration bug report ]

On Sat, Jan 15, 2011 at 01:51:23PM -0600, Steve Langasek wrote:
> There has been no plan to subsume DEP5 into Debian Policy.  The only plan
> I've seen is to turn *maintenance* of the machine-readable copyright format
> over to the Debian Policy process and to *ship* a copy of the spec in the
> debian-policy package;

Well, I was assuming that DEP5 was going to become an "associated text"
under policy §5.6.11 and, as such, subject to Standards-Version. That
would bring IMHO various benefits such as: 1) the possibility of
dropping Format:, 2) have a lintian check that doesn't need to preserve
yet another version-format mapping; 3) documentation of format changes
into upgrade-checklist.

Clearly you disagree with that assumption and Lars has voiced his
opinion in favor of a separate---and versioned---Format field as well.
So be it.

I still don't get how the versioned Format URL will look like once DEP5
will be shipped by debian-policy though. Would it use the Vcs-Browser of
the debian-policy package or ...? Just curious.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 16 Jan 2011 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 16 Jan 2011 01:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 609160@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: debian-devel@lists.debian.org
Cc: 609160@bugs.debian.org
Subject: Re: DEP5: CANDIDATE and ready for use in squeeze+1
Date: Sun, 16 Jan 2011 02:49:34 +0100
[Message part 1 (text/plain, inline)]
On Sat, 15 Jan 2011 23:38:12 +0100, Stefano Zacchiroli wrote:

> I still don't get how the versioned Format URL will look like once DEP5
> will be shipped by debian-policy though. Would it use the Vcs-Browser of
> the debian-policy package or ...? Just curious.

From the attached diff in the first message in #609160:

+ * **`Format`**
+   * Required
+   * Syntax: single line
+   * URI of the format specification, such as:
+     * http://www.debian.org/doc/standards/copyright-format/1.0.html


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Rod Stewart
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 16 Jan 2011 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 16 Jan 2011 13:09:02 GMT) Full text and rfc822 format available.

Message #30 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 609160@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#609160: DEP5: CANDIDATE and ready for use in squeeze+1
Date: Sun, 16 Jan 2011 22:01:41 +0900
Le Sat, Jan 15, 2011 at 11:38:12PM +0100, Stefano Zacchiroli a écrit :
> 
> Well, I was assuming that DEP5 was going to become an "associated text"
> under policy §5.6.11 and, as such, subject to Standards-Version. That
> would bring IMHO various benefits such as: 1) the possibility of
> dropping Format:, 2) have a lintian check that doesn't need to preserve
> yet another version-format mapping; 3) documentation of format changes
> into upgrade-checklist.

Note that there is at least one other control data file that has a Format field
whose version is independant of the Policy's version number, the Debian changes
files: http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Format

There is another reason why I would not support an alignment on the Policy's
version number: from the begining we promised that DEP-5 was not an attempt to
modify the Policy. Even if it did not make a practical consequence, I think
that it would be appropriate to not go further than shipping the DEP and the
Policy in the same package. If in a second and separate step there is a
consensus for merging, I would be very pleased, but I really think that it
should be after a large number of packages use the DEP, and after parsers
produce data of which the benefits are widely recognised.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 16 Jan 2011 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 16 Jan 2011 22:27:05 GMT) Full text and rfc822 format available.

Message #35 received at 609160@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Charles Plessy <plessy@debian.org>
Cc: 609160@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#609160: DEP5: CANDIDATE and ready for use in squeeze+1
Date: Mon, 17 Jan 2011 09:24:01 +1100
Charles Plessy <plessy@debian.org> writes:

> There is another reason why I would not support an alignment on the
> Policy's version number: from the begining we promised that DEP-5 was
> not an attempt to modify the Policy.

I don't recall that promise ever being made. Where did you see it?

The promise in the first revision of the wiki page for discussion was
“This is not a proposal to change the policy in the short term.”
<URL:http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=1>

That leaves open, intentionally in my view, the option to become a
proposal to change Policy when it later became appropriate. The DEP
process seems a good route to achieveing that.

> If in a second and separate step there is a consensus for merging, I
> would be very pleased, but I really think that it should be after a
> large number of packages use the DEP, and after parsers produce data
> of which the benefits are widely recognised.

+1 to all that.

-- 
 \     “Oh, I realize it's a penny here and a penny there, but look at |
  `\      me: I've worked myself up from nothing to a state of extreme |
_o__)                                          poverty.” —Groucho Marx |
Ben Finney




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Tue, 18 Jan 2011 21:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 18 Jan 2011 21:21:09 GMT) Full text and rfc822 format available.

Message #40 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: 609160@bugs.debian.org
Cc: debian-devel <debian-devel@lists.debian.org>
Subject: Re: Bug#609160: DEP5: CANDIDATE and ready for use in squeeze+1
Date: Tue, 18 Jan 2011 23:14:43 +0200
On la, 2011-01-15 at 23:38 +0100, Stefano Zacchiroli wrote:
> I still don't get how the versioned Format URL will look like once DEP5
> will be shipped by debian-policy though. Would it use the Vcs-Browser of
> the debian-policy package or ...? Just curious.

From http://lists.debian.org/debian-project/2010/08/msg00269.html :

Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

If the spec changes, it gets a new version number, resulting in .../1.1/ etc.

FWIW, I'm in favor of keeping Format: in the spec so that when
non-Debian projects use it, it's still clear which format version they
follow.

-- 
Blog/wiki/website hosting with ikiwiki (free for free software):
http://www.branchable.com/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 02 Mar 2011 01:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 01:18:05 GMT) Full text and rfc822 format available.

Message #45 received at 609160@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Charles Plessy <plessy@debian.org>
Cc: 609160@bugs.debian.org
Subject: Re: debian-policy: include DEP5
Date: Tue, 1 Mar 2011 19:13:57 -0600
user debian-policy@packages.debian.org
severity 609160 wishlist
usertags 609160 + packaging
quit

Hi Charles,

Charles Plessy wrote:
> Le Thu, Jan 06, 2011 at 09:49:17PM +0000, Lars Wirzenius a écrit :

>> Attached please find a patch that adds a copy of DEP5 to the
>> debian-policy package.
[...]
> if adding a third markup language to the debian-policy package is discouraged,
> I offer to convert the markdown file to debiandoc. Please ping me if necessary.

Ping :).  I would be interested in either a copy in debiandoc format
or rules in the Makefile to build from docbook format.  If interested
in the latter, please coordinate work using Bug#175064.

Thanks much,
Jonathan




Severity set to 'wishlist' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 01:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 02 Mar 2011 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 01:33:03 GMT) Full text and rfc822 format available.

Message #52 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 609160@bugs.debian.org
Subject: Re: debian-policy: include DEP5
Date: Wed, 2 Mar 2011 10:32:23 +0900
Le Tue, Mar 01, 2011 at 07:13:57PM -0600, Jonathan Nieder a écrit :
> 
> Ping :).  I would be interested in either a copy in debiandoc format
> or rules in the Makefile to build from docbook format.  If interested
> in the latter, please coordinate work using Bug#175064.

Dear Jonathan,

I have a visit from my family this week, but after I will work on this.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 02 Mar 2011 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 09:18:03 GMT) Full text and rfc822 format available.

Message #57 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Jonathan Nieder <jrnieder@gmail.com>, 609160@bugs.debian.org
Cc: Charles Plessy <plessy@debian.org>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 02 Mar 2011 09:14:34 +0000
On ti, 2011-03-01 at 19:13 -0600, Jonathan Nieder wrote:
> Ping :).  I would be interested in either a copy in debiandoc format
> or rules in the Makefile to build from docbook format.  If interested
> in the latter, please coordinate work using Bug#175064.

I note that since I submitted the bug (with patch), the DEP5 draft has
has some changes. I have not updated the patch, because a) the draft
might still change b) there's no clear indication what the desired
format for debian-policy is. Updating the patch should, I think, be done
only after the draft is final and policy is ready to include it in the
package (even if only in the policy VCS repository). Converting the DEP5
draft to whatever format is acceptable to policy should be fairly quick,
only an evening's work or so. DEP5 should not require anything much in
the form of markup, except tables (not sure if debiandoc supports
tables).

Having DEP5 wait for some docbook work in the debian-policy package
would be unfortunate.

-- 
Blog/wiki/website hosting with ikiwiki (free for free software):
http://www.branchable.com/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 02 Mar 2011 09:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 09:36:06 GMT) Full text and rfc822 format available.

Message #62 received at 609160@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Lars Wirzenius <liw@liw.fi>
Cc: 609160@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: debian-policy: include DEP5
Date: Wed, 2 Mar 2011 03:33:23 -0600
Hi,

Lars Wirzenius wrote:

> Updating the patch should, I think, be done
> only after the draft is final and policy is ready to include it in the
> package (even if only in the policy VCS repository).

If you mean that there is no need to update to an intermediate
version, makes sense to me.  Anyway, getting any version ready to
include in the VCS (on a branch) seems worthwhile to me, and after
that, updating should be easy.

Caveat: I am only guessing (and faintly remembering some discussion)
about what formats are acceptable.  I just started working through
policy bugs a couple of days ago.  So please do not trust me. :)

> Converting the DEP5
> draft to whatever format is acceptable to policy should be fairly quick,
> only an evening's work or so. DEP5 should not require anything much in
> the form of markup, except tables (not sure if debiandoc supports
> tables).

debiandoc does not support tables.  That's one of many reasons policy
should eventually move away from it.

Maybe a <taglist> can work for the list of licenses in the short term?

> Having DEP5 wait for some docbook work in the debian-policy package
> would be unfortunate.

I can try this weekend to write some makefile rules to build from
docbook XML.  IMHO it would not be worth it to couple this with
converting policy.sgml itself.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 02 Mar 2011 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 10:03:05 GMT) Full text and rfc822 format available.

Message #67 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 609160@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: debian-policy: include DEP5
Date: Wed, 02 Mar 2011 10:01:09 +0000
On ke, 2011-03-02 at 03:33 -0600, Jonathan Nieder wrote:
> > Updating the patch should, I think, be done
> > only after the draft is final and policy is ready to include it in the
> > package (even if only in the policy VCS repository).
> 
> If you mean that there is no need to update to an intermediate
> version, makes sense to me.  Anyway, getting any version ready to
> include in the VCS (on a branch) seems worthwhile to me, and after
> that, updating should be easy.

I don't think it makes sense to update to an intermediate version.
Keeping two versions of the draft up to date is not something that I
find a good use of my time, I'm afraid.

> Caveat: I am only guessing (and faintly remembering some discussion)
> about what formats are acceptable.  I just started working through
> policy bugs a couple of days ago.  So please do not trust me. :)

Then I'll wait until someone who actually knows tells me the proper
format.

> I can try this weekend to write some makefile rules to build from
> docbook XML.  IMHO it would not be worth it to couple this with
> converting policy.sgml itself.

It's unfortunate that docbook (in any flavor) is so tedious to work
with, both at the level of writing markup and the level of producing
readable formats from the markup. If it is absolutely necessary, I'll
use that, but I think it is a mistake for debian-policy to adopt docbook
in any form.

Perhaps it'd be easier to just use debiandoc for DEP5, for now.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 02 Mar 2011 10:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 10:15:05 GMT) Full text and rfc822 format available.

Message #72 received at 609160@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Lars Wirzenius <liw@liw.fi>
Cc: 609160@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: debian-policy: include DEP5
Date: Wed, 2 Mar 2011 04:12:47 -0600
Lars Wirzenius wrote:
> On ke, 2011-03-02 at 03:33 -0600, Jonathan Nieder wrote:

>> If you mean that there is no need to update to an intermediate
>> version, makes sense to me.  Anyway, getting any version ready to
>> include in the VCS (on a branch) seems worthwhile to me, and after
>> that, updating should be easy.
>
> I don't think it makes sense to update to an intermediate version.
> Keeping two versions of the draft up to date is not something that I
> find a good use of my time, I'm afraid.

Sorry, I was unclear.  I meant that updating to the final version
when it's ready should be easy.

> Then I'll wait until someone who actually knows tells me the proper
> format.

Russ Allbery, active policy maintainer and currently swamped,
certainly knows.  He wrote the following, which can be found
earlier in this bug log:

	I admit I'm not particularly thrilled about either of those
	options; DebianDoc is fairly deprecated at this point, and
	while Markdown is a lot simpler and easier to manage, adding a
	third markup language, as mentioned, does raise the barrier of
	entry a bit.

	My long-term hope was still that we could all eventually move
	to Docbook, but I've had zero time to work on that (or
	anything else related to Policy lately).

I was only using common sense from there (since the topic seemed to be
stuck).  If an authority is really needed to move things forward,
maybe Bill can help?

> It's unfortunate that docbook (in any flavor) is so tedious to work
> with, both at the level of writing markup and the level of producing
> readable formats from the markup. If it is absolutely necessary, I'll
> use that, but I think it is a mistake for debian-policy to adopt docbook
> in any form.

What do you propose instead?  I think the problem seen with markdown
and its kin was that it is possible to accidentally trigger formatting
rules when talking about, say, the result from "echo `echo hi`".
That's not normally a big deal but it was mentioned as a possible
problem when you are writing a document that is meant to be normative.

> Perhaps it'd be easier to just use debiandoc for DEP5, for now.

Sure, that's why I presented both options.  Personally, I just want
to see this get done.

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 02 Mar 2011 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 18:03:03 GMT) Full text and rfc822 format available.

Message #77 received at 609160@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 609160@bugs.debian.org, Lars Wirzenius <liw@liw.fi>, Charles Plessy <plessy@debian.org>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 02 Mar 2011 09:59:38 -0800
Jonathan Nieder <jrnieder@gmail.com> writes:

> I can try this weekend to write some makefile rules to build from
> docbook XML.

This should already be there to handle the debconf spec, which is already
in Policy and already written in Docbook.

> IMHO it would not be worth it to couple this with converting policy.sgml
> itself.

Definitely agreed.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 06 Mar 2011 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 06 Mar 2011 08:15:03 GMT) Full text and rfc822 format available.

Message #82 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 609160@bugs.debian.org
Subject: Re: debian-policy: include DEP5
Date: Sun, 6 Mar 2011 17:12:47 +0900
[Message part 1 (text/plain, inline)]
Le Tue, Mar 01, 2011 at 07:13:57PM -0600, Jonathan Nieder a écrit :
> 
> Ping :).  I would be interested in either a copy in debiandoc format
> or rules in the Makefile to build from docbook format.  If interested
> in the latter, please coordinate work using Bug#175064.

Pong :)

Here is DEP-5 in DocBook format, and the changes needed to the debian-policy
package to build it in HTML and text formats. I have followed the same
way as the Debconf spec. In the long term, there is probably a smarter way
to do, but for the moment, it will allow people to inspect the converted
version of the DEP.

DocBook does not allow simple paragraphs to follow a section. Therefore,
I had to move a couple of things (see below). Also, the current style
uses a lot of bullet points, which nead heavy XML tagging, and do not
match the style of the Policy in general. I changed this to a more
paragraph-oriented style, but I can easily revert it.

There are two issues that I did not have time to investigate. The first
is that the HTML file does not declare that it is encoded in UTF-8, and
the second is that the sections are not numbered.

Here is a summary of the changes I made to ease the conversion:

 - Remove the DEP header, mentionned the DEP, Steve and Lars in
   the abstract.

 - In the file syntax, describe the field kinds directly under
   their name, so that each forms a proper section.

 - Did not use bullet list of the description of the fields.

 - Swapped the description of the Copyright and License fields of the
   header paragraph, so that the short explanation about them could
   be integrated to the description of the License field (DocBook does
   not allow simple paragraphs after a section).

 - For the same reason, the examples are now in proper sections. I think
   that it will be clear enough to everybody that there is no field
   called Example :)

 - For the same reason, moved the detailed description of the syntax of the
   Files field in the section introducing that field.

 - In the couple of cases where the word ‘must’ was in bold, I used DocBook's
   emphasis markup, which in the current conversion makes it italic.

 - Field names use the varname markup, which makes them displayed in fixed-width
   font, whereas bold was sometimes used in the DEP.

Other changes are possibly mistakes on my side.

I would much appreciate proofreading and comments from everybody.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[0001-Import-DEP-5-as-a-document-called-copyright-format.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 06 Apr 2011 08:15:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 06 Apr 2011 08:15:48 GMT) Full text and rfc822 format available.

Message #87 received at 609160@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 609160@bugs.debian.org, Lars Wirzenius <liw@liw.fi>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 06 Apr 2011 01:00:22 -0700
Charles Plessy <plessy@debian.org> writes:

> Pong :)

> Here is DEP-5 in DocBook format, and the changes needed to the
> debian-policy package to build it in HTML and text formats. I have
> followed the same way as the Debconf spec. In the long term, there is
> probably a smarter way to do, but for the moment, it will allow people
> to inspect the converted version of the DEP.

> DocBook does not allow simple paragraphs to follow a section. Therefore,
> I had to move a couple of things (see below). Also, the current style
> uses a lot of bullet points, which nead heavy XML tagging, and do not
> match the style of the Policy in general. I changed this to a more
> paragraph-oriented style, but I can easily revert it.

> There are two issues that I did not have time to investigate. The first
> is that the HTML file does not declare that it is encoded in UTF-8, and
> the second is that the sections are not numbered.

Okay, I've installed this in the Policy Git repository, because I think
it's a good basis for additional work and I don't see a good reason to
wait.  However, I think it could definitely use additional proofreading,
and I'd really like Lars to review the results as well.

My inclination is to include it in the next debian-policy package upload,
but (since that's happening tomorrow, not giving people much time), remove
the reference to it in Policy proper for right now and not make a big deal
out of the fact that it's there.  That includes not putting it up on the
web site yet.  Then, we'll use the next bit for further review and any
fixes to formatting, wording, markup, and so forth, and we'll add in the
formal linkage and the rest for 3.9.3 (which I intend to not take nearly
as long as 3.9.2 did, and I see Bill is of the same opinion).

Does this sound reasonable to everyone?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 08:16:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 06 Apr 2011 08:19:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 06 Apr 2011 08:19:43 GMT) Full text and rfc822 format available.

Message #94 received at 609160@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 609160@bugs.debian.org
Cc: Charles Plessy <plessy@debian.org>, Lars Wirzenius <liw@liw.fi>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 06 Apr 2011 01:17:04 -0700
Russ Allbery <rra@debian.org> writes:

> My inclination is to include it in the next debian-policy package
> upload, but (since that's happening tomorrow, not giving people much
> time), remove the reference to it in Policy proper for right now and not
> make a big deal out of the fact that it's there.

That reference was in README.org, not policy.sgml (I read it wrong), so
there's nothing here that needs to be removed.  So everything looks good
to me on that front.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 06 Apr 2011 18:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 06 Apr 2011 18:15:12 GMT) Full text and rfc822 format available.

Message #99 received at 609160@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: 609160@bugs.debian.org
Cc: Lars Wirzenius <liw@liw.fi>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 6 Apr 2011 20:12:24 +0200
On Wed, Apr 06, 2011 at 01:00:22AM -0700, Russ Allbery wrote:
> Charles Plessy <plessy@debian.org> writes:
> 
> > Pong :)
> 
> > Here is DEP-5 in DocBook format, and the changes needed to the
> > debian-policy package to build it in HTML and text formats. I have
> > followed the same way as the Debconf spec. In the long term, there is
> > probably a smarter way to do, but for the moment, it will allow people
> > to inspect the converted version of the DEP.
> 
> > DocBook does not allow simple paragraphs to follow a section. Therefore,
> > I had to move a couple of things (see below). Also, the current style
> > uses a lot of bullet points, which nead heavy XML tagging, and do not
> > match the style of the Policy in general. I changed this to a more
> > paragraph-oriented style, but I can easily revert it.
> 
> > There are two issues that I did not have time to investigate. The first
> > is that the HTML file does not declare that it is encoded in UTF-8, and
> > the second is that the sections are not numbered.
> 
> Okay, I've installed this in the Policy Git repository, because I think
> it's a good basis for additional work and I don't see a good reason to
> wait.  However, I think it could definitely use additional proofreading,
> and I'd really like Lars to review the results as well.
> 
> My inclination is to include it in the next debian-policy package upload,
> but (since that's happening tomorrow, not giving people much time), remove
> the reference to it in Policy proper for right now and not make a big deal
> out of the fact that it's there.  That includes not putting it up on the
> web site yet.  Then, we'll use the next bit for further review and any
> fixes to formatting, wording, markup, and so forth, and we'll add in the
> formal linkage and the rest for 3.9.3 (which I intend to not take nearly
> as long as 3.9.2 did, and I see Bill is of the same opinion).
> 
> Does this sound reasonable to everyone?

This is a great idea. Having a fixed reference version make any further review
and formatting much easier than a constently evolving text.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 07 Apr 2011 06:20:16 GMT) Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@liw.fi>:
Bug acknowledged by developer. (Thu, 07 Apr 2011 06:20:17 GMT) Full text and rfc822 format available.

Message #104 received at 609160-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 609160-close@bugs.debian.org
Subject: Bug#609160: fixed in debian-policy 3.9.2.0
Date: Thu, 07 Apr 2011 06:02:15 +0000
Source: debian-policy
Source-Version: 3.9.2.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.2.0.dsc
  to main/d/debian-policy/debian-policy_3.9.2.0.dsc
debian-policy_3.9.2.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.2.0.tar.gz
debian-policy_3.9.2.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.2.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609160@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 06 Apr 2011 22:48:55 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.2.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 459868 488214 501930 504880 536790 581011 588014 590696 591857 593909 594274 594542 594656 594658 597074 599944 606869 609160 619186
Changes: 
 debian-policy (3.9.2.0) unstable; urgency=low
 .
   * Policy: Require human Maintainer or Uploader, clarify Maintainer
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #459868, #581011
   * Policy: Add an FHS exception on GNU/Hurd for /hurd and /servers
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #594658
   * Policy: Document DM-Upload-Allowed
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #588014
   * Policy: Update multiarch FHS exception for i386 naming
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Aurelien Jarno <aurelien@aurel32.net>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #619186
   * Policy: Significant additions to maintainer script documentation
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #504880
   * Policy: Clarify format of Debian control fields
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #501930, #593909
   * Virtual: Added mailx as a new virtual package
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #488214
   * Be more verbose in defining the build architecture and the host
     architecture and consistently refer to architecture rather than
     machine.  (Closes: #591857)
   * Correct the name of the Filesystem Hierarchy Standard in the package
     description.  Patch from Christoph Anton Mitterer.  (Closes: #590696)
   * Use the word "implemented" to describe required targets in
     debian/rules, which is clearer about allowing wildcard rules.  List
     the required rules in their own paragraph rather than with the
     paragraph discussing non-interactivity, and explicitly mark all rules
     as either required or optional.  (Closes: #536790)
   * Update the ldconfig footnote listing the /etc/ld.so.conf directories
     to remove the libc5 compatibility directories and mention the
     multiarch triplet directories.  Based on a patch by Charles Plessy.
     (Closes: #597074)
   * Add introductory paragraphs for each archive area explaining briefly
     the purpose of that archive area.  Based on a proposal by CJ
     Fearnley.  (Closes: #594542)
   * Change all non-historical references to Debian GNU/Linux to simply
     Debian since Debian now includes FreeBSD-based architectures.  Patch
     from Guillem Jover.  (Closes: #594656)
   * Remove references to the obsolete debmake package.
   * Update the list of Policy maintainers.
   * Wrap Uploaders in debian/control.
   * Move Build-Depends-Indep to Build-Depends (there's no reason to use
     -Indep in a package that builds only architecture-independent binary
     packages), wrap it, and remove version restrictions that are older
     than the version in oldstable.
   * Add emacs23 to the build dependencies and remove the files generated
     from org source from the revision control repository.  Build and clean
     files from org source unconditionally.  Add Process.{txt,html} to the
     list of files generated from org source.  (Closes: #594274)
   * Fix URLs under www.freedesktop.org to avoid permanent redirects.
     Thanks, David Prévot.  (Closes: #606869)
   * Add a cross-reference to the Pre-Depends requirement in 3.5 to section
     7.2 where Pre-Depends is defined.  Thanks, Mattias Ellert and Jonathan
     Nieder.  (Closes: #599944)
   * Include the new (optional) copyright format that was drafted as DEP-5.
     This is not yet a final version; that's expected to come in the
     3.9.3.0 release.  Thanks to all the DEP-5 contributors and to Lars
     Wirzenius and Charles Plessy for the integration into the Policy
     package.  (Closes: #609160)
Checksums-Sha1: 
 3fbe1185dd3abd9f553cefbc2e8b353864bdd99b 1471 debian-policy_3.9.2.0.dsc
 f8b59ed7adcaec2dd78b77010eba9f9934e13012 693834 debian-policy_3.9.2.0.tar.gz
 3854a70a825272ff6a1e1473eb90369f5c1c6c68 1907938 debian-policy_3.9.2.0_all.deb
Checksums-Sha256: 
 231893c0f9dd4d8bd20aa5d53e871423c15ce0eb48ebc53652316a0e7eca8f89 1471 debian-policy_3.9.2.0.dsc
 8be1c13c6b05b167b356f505cab74f3e6a84be096215e64ad741d672b6f943a6 693834 debian-policy_3.9.2.0.tar.gz
 1a587553e9fc5ad93f3ddf8d752131efc737dff7810a6c170fe67cbb8a642eb5 1907938 debian-policy_3.9.2.0_all.deb
Files: 
 cad30289440ae005513484e7af83039f 1471 doc optional debian-policy_3.9.2.0.dsc
 b90105f64bcaedd3b1c182689ac9c6c8 693834 doc optional debian-policy_3.9.2.0.tar.gz
 73bef9fc65be0091233daa701e494104 1907938 doc optional debian-policy_3.9.2.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJNnVKxAAoJEH2AMVxXNt51S1kH/19xBm48ZzXnn2tSEHaCWKIz
sh86ppJArmwvxUu0BzwlSg2jr01M3pyynwVzgevGAQ9QlK2bD1MODlq5zQ23JLk8
ZHthYq/f15BkWuwMPVfnWeUtLVe4Xo6LL/LJGMjYiWTGxyv8OtctDVYz0olksmjr
gNp4rTUIzRfL8ucN3ypq0Xct7K2QilXQFdtEpHSRdsSPLC42cQgH/0wqo1PzMT7w
micFsqgGT5ZDUq+y4eNE6AzAZynVJgUAgnG0BMANucFJ8pVnVPmUB8rAEaURPGib
rjwuIHftPliJyI0hoBzWV1AU9t/I7IPekCJx+eqhVnUMF+sQexwHssEWmAZbtwY=
=o5f6
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 10 Apr 2011 02:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 10 Apr 2011 02:39:06 GMT) Full text and rfc822 format available.

Message #109 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Charles Plessy <plessy@debian.org>, 609160@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Sat, 09 Apr 2011 19:16:17 +0100
[Message part 1 (text/plain, inline)]
reopen 609160
thanks

Attached please find my changes to the docbook conversion.

* remove drivers from abstract (we're mentioned in acks, which is
enough)
* a couple of missing spaces from markup
* removal of useless appendix (this was in dep svn already, so better do
it in the version in policy too)

Other than that, we need to fix a URL on www.debian.org and then update
the examples to have use that URL and also add it to the explanation of
Format. After that, we're done, I think. About time.

thanks, Charles, for the conversion.

-- 
Blog/wiki/website hosting with ikiwiki (free for free software):
http://www.branchable.com/
[policy.diff (text/x-patch, attachment)]

Bug No longer marked as fixed in versions debian-policy/3.9.2.0 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Apr 2011 02:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 13 Apr 2011 02:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 13 Apr 2011 02:00:03 GMT) Full text and rfc822 format available.

Message #116 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 13 Apr 2011 10:49:47 +0900
[Message part 1 (text/plain, inline)]
Le Sat, Apr 09, 2011 at 07:16:17PM +0100, Lars Wirzenius a écrit :
> reopen 609160
> thanks
> 
> Attached please find my changes to the docbook conversion.
> 
> * remove drivers from abstract (we're mentioned in acks, which is
> enough)
> * a couple of missing spaces from markup
> * removal of useless appendix (this was in dep svn already, so better do
> it in the version in policy too)

Dear Lars,

thanks for the corrections.

Would you consider this attached patch as well, that we discussed earlier in
November, and that was waiting for #593909 to be applied to the Policy ?

http://lists.debian.org/20101114035912.GD4949@merveille.plessy.net

Have a nice day,

Charles

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[0001-Indicate-the-field-type-according-to-Policy-5.1.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Wed, 13 Apr 2011 05:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 13 Apr 2011 05:51:06 GMT) Full text and rfc822 format available.

Message #121 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Charles Plessy <plessy@debian.org>, 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 13 Apr 2011 06:46:21 +0100
On ke, 2011-04-13 at 10:49 +0900, Charles Plessy wrote:
> Le Sat, Apr 09, 2011 at 07:16:17PM +0100, Lars Wirzenius a écrit :
> > reopen 609160
> > thanks
> > 
> > Attached please find my changes to the docbook conversion.
> > 
> > * remove drivers from abstract (we're mentioned in acks, which is
> > enough)
> > * a couple of missing spaces from markup
> > * removal of useless appendix (this was in dep svn already, so better do
> > it in the version in policy too)
> 
> Dear Lars,
> 
> thanks for the corrections.
> 
> Would you consider this attached patch as well, that we discussed earlier in
> November, and that was waiting for #593909 to be applied to the Policy ?
> 
> http://lists.debian.org/20101114035912.GD4949@merveille.plessy.net

I am reluctantly ok with it. I am reluctant because I would like to as
little change in the spec as possible anymore, not because of any aspect
of the patch itself.

-- 
Blog/wiki/website hosting with ikiwiki (free for free software):
http://www.branchable.com/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 28 Aug 2011 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 28 Aug 2011 07:45:03 GMT) Full text and rfc822 format available.

Message #126 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Lars Wirzenius <liw@liw.fi>
Cc: 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Sun, 28 Aug 2011 16:41:28 +0900
Le Wed, Apr 13, 2011 at 06:46:21AM +0100, Lars Wirzenius a écrit :
> On ke, 2011-04-13 at 10:49 +0900, Charles Plessy wrote:
> > Le Sat, Apr 09, 2011 at 07:16:17PM +0100, Lars Wirzenius a écrit :
> > > 
> > > Attached please find my changes to the docbook conversion.
> > > 
> > > * remove drivers from abstract (we're mentioned in acks, which is
> > > enough)
> > > * a couple of missing spaces from markup
> > > * removal of useless appendix (this was in dep svn already, so better do
> > > it in the version in policy too)
> > 
> > Would you consider this attached patch as well, that we discussed earlier in
> > November, and that was waiting for #593909 to be applied to the Policy ?
> > 
> > http://lists.debian.org/20101114035912.GD4949@merveille.plessy.net
> 
> I am reluctantly ok with it. I am reluctant because I would like to as
> little change in the spec as possible anymore, not because of any aspect
> of the patch itself.

Dear Lars and everybody,

given that DEP 5 is still in the CANDIDATE state, and given that the change is
not normative, I was wondering if the patch I sent in November 2011, reproduced
below for your convenience, could be applied in the end.

@@ -85,12 +85,13 @@
 for details.
 
 There are four kinds values for fields. Each field specifies which
-kind is allowed.
+kind is allowed. The field type is indicated in parenthesis, according
+to Policy's §5.1.
 
-* Single-line values.
-* White space separated lists.
-* Line based lists.
-* Text formatted like package long descriptions.
+* Single-line values (simple).
+* White space separated lists (folded).
+* Line based lists (multiline).
+* Formatted text like package long descriptions (multiline).
 
 A single-line value means that the whole value of a field must fit on
 a single line. For example, the `Format` field has a single line value


Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 28 Aug 2011 13:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 28 Aug 2011 13:33:14 GMT) Full text and rfc822 format available.

Message #131 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Charles Plessy <plessy@debian.org>, 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Sun, 28 Aug 2011 14:30:34 +0100
On Sun, Aug 28, 2011 at 04:41:28PM +0900, Charles Plessy wrote:
> given that DEP 5 is still in the CANDIDATE state, and given that the change is
> not normative, I was wondering if the patch I sent in November 2011, reproduced
> below for your convenience, could be applied in the end.

My opinion on this hasn't changed.  I'm still hoping that the DEP5 spec
will properly integrated into the policy package soon, and I would prefer
to see that happening, so that my involvement in it can end, than make
any other changes right now.

Policy team, is there any reason to not do that? As far as I can
see the only changes needed are to provide a stable URL (with
embedded version number), and changing the spec to use that
URL in the Format: header.

-- 
Freedom-based blog/wiki/web hosting: http://www.branchable.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 28 Aug 2011 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 28 Aug 2011 23:33:03 GMT) Full text and rfc822 format available.

Message #136 received at 609160@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Lars Wirzenius <liw@liw.fi>
Cc: 609160@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Sun, 28 Aug 2011 16:31:28 -0700
Lars Wirzenius <liw@liw.fi> writes:

> Policy team, is there any reason to not do that? As far as I can see the
> only changes needed are to provide a stable URL (with embedded version
> number), and changing the spec to use that URL in the Format: header.

No reason whatsoever, and it would have happened already except for back
to back major projects at work that have literally devoured 95% of the
time that I would otherwise spend working on Debian.  :/  I have hopes,
and certainly have no objections to someone else doing this.

The intent was always to ship it for people to look at in the current
version in the archive and make it officially part in the next released
version.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Mon, 29 Aug 2011 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 29 Aug 2011 02:45:03 GMT) Full text and rfc822 format available.

Message #141 received at 609160@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Lars Wirzenius <liw@liw.fi>, 609160@bugs.debian.org
Cc: Charles Plessy <plessy@debian.org>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Sun, 28 Aug 2011 19:42:23 -0700
[Message part 1 (text/plain, inline)]
On Sun, Aug 28, 2011 at 02:30:34PM +0100, Lars Wirzenius wrote:
> On Sun, Aug 28, 2011 at 04:41:28PM +0900, Charles Plessy wrote:
> > given that DEP 5 is still in the CANDIDATE state, and given that the change is
> > not normative, I was wondering if the patch I sent in November 2011, reproduced
> > below for your convenience, could be applied in the end.

> My opinion on this hasn't changed.  I'm still hoping that the DEP5 spec
> will properly integrated into the policy package soon, and I would prefer
> to see that happening, so that my involvement in it can end, than make
> any other changes right now.

My opinion also has not changed:  I think there are significant language
bugs in the current draft that should be fixed before this is ready to be
adopted as a standard.  Whether these are dealt with via the DEP process or
on debian-policy makes no difference to me, but I for one am not happy to
see this integrated into policy as-is.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Mon, 29 Aug 2011 02:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 29 Aug 2011 02:48:03 GMT) Full text and rfc822 format available.

Message #146 received at 609160@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 609160@bugs.debian.org
Cc: Lars Wirzenius <liw@liw.fi>, Charles Plessy <plessy@debian.org>
Subject: Re: debian-policy: include DEP5
Date: Sun, 28 Aug 2011 21:46:27 -0500
Steve Langasek wrote:

> I think there are significant language
> bugs in the current draft that should be fixed before this is ready to be
> adopted as a standard.

Could you list some?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Mon, 29 Aug 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 29 Aug 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #151 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Tue, 30 Aug 2011 07:24:47 +0900
Le Sun, Aug 28, 2011 at 07:42:23PM -0700, Steve Langasek a écrit :
> On Sun, Aug 28, 2011 at 02:30:34PM +0100, Lars Wirzenius wrote:
> > On Sun, Aug 28, 2011 at 04:41:28PM +0900, Charles Plessy wrote:
> > > given that DEP 5 is still in the CANDIDATE state, and given that the change is
> > > not normative, I was wondering if the patch I sent in November 2011, reproduced
> > > below for your convenience, could be applied in the end.
> 
> > My opinion on this hasn't changed.  I'm still hoping that the DEP5 spec
> > will properly integrated into the policy package soon, and I would prefer
> > to see that happening, so that my involvement in it can end, than make
> > any other changes right now.
> 
> My opinion also has not changed:  I think there are significant language
> bugs in the current draft that should be fixed before this is ready to be
> adopted as a standard.  Whether these are dealt with via the DEP process or
> on debian-policy makes no difference to me, but I for one am not happy to
> see this integrated into policy as-is.

Steve and Lars, please do not take it personally, but I would like to remind
the following email posted in April this year:

http://lists.debian.org/debian-devel/2011/04/msg00527.html

 "Steve, my co-driver, says he has a couple of issues he wants to fix
  before we are finished with DEP5. He'll write patches and submit them
  for discussion about next weekend or so."

I do not know how to write this diplomatically, and my request to have my patch
applied was a clumsy way to re-open the discussion without mentionning the
above email, but if 1) the only changes before the DEP is accepted are Steve's
changes, and 2) the DEP can not be accepted before Steve changes it, then Steve
please submit your patches and let's go ahead ?

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Mon, 29 Aug 2011 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 29 Aug 2011 23:03:02 GMT) Full text and rfc822 format available.

Message #156 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Charles Plessy <plessy@debian.org>, 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Mon, 29 Aug 2011 23:56:54 +0100
On Tue, Aug 30, 2011 at 07:24:47AM +0900, Charles Plessy wrote:
> I do not know how to write this diplomatically, and my request to have my patch
> applied was a clumsy way to re-open the discussion without mentionning the
> above email, but if 1) the only changes before the DEP is accepted are Steve's
> changes, and 2) the DEP can not be accepted before Steve changes it, then Steve
> please submit your patches and let's go ahead ?

Hi, Charles,

thank you for insinuating that I would reject something because
you suggest it, and accept the same thing from Steve.

Let me put this as clearly as I can: it is several months past
the time when it was time to make changes to DEP5. The only change
I want to see anymore is to change the Format: header to specify
a URL provided by the policy maintainers. We need to stop making
changes, and move on. The spec is not perfect, but it is good enough.

After the policy team takes over maintenance of the DEP5 spec,
you can use the policy process to suggest changes to it.

If Steve, as a DEP5 driver, can build consensus that other changes
should happen now, rather than after policy team adoption, then
very well, I do not oppose that, but I don't think it is a good
idea, and I will not work for it.

-- 
Freedom-based blog/wiki/web hosting: http://www.branchable.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Mon, 29 Aug 2011 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 29 Aug 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #161 received at 609160@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 609160@bugs.debian.org
Cc: Lars Wirzenius <liw@liw.fi>, Charles Plessy <plessy@debian.org>
Subject: Re: debian-policy: include DEP5
Date: Mon, 29 Aug 2011 18:48:58 -0500
Hi,

Lars Wirzenius wrote:

> After the policy team takes over maintenance of the DEP5 spec,
> you can use the policy process to suggest changes to it.

The DEP5 spec is already in the policy repo.  Is there any reason not
to move to that way of working now (which does not imply anything
about when the Format header changes or the next version of policy is
released)?

> If Steve, as a DEP5 driver, can build consensus that other changes
> should happen now, rather than after policy team adoption, then
> very well, I do not oppose that, but I don't think it is a good
> idea, and I will not work for it.

This points to a potential reason --- that maybe there are changes
that would be easier to carry out through the DEP process than through
policy bugs.  But I am skeptical --- it's pretty easy to get a couple
of seconds on a good patch. :)

In other words: Charles, if you file a separate bug for your change,
I'll be happy to consider it and give any advice I can think of (which
could result in the document changing ASAP or once the document is
adopted by the policy team, depending on the answers to the above
questions).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Tue, 30 Aug 2011 07:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 30 Aug 2011 07:03:03 GMT) Full text and rfc822 format available.

Message #166 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Tue, 30 Aug 2011 15:57:56 +0900
Le Mon, Aug 29, 2011 at 11:56:54PM +0100, Lars Wirzenius a écrit :
> On Tue, Aug 30, 2011 at 07:24:47AM +0900, Charles Plessy wrote:
> > I do not know how to write this diplomatically, and my request to have my patch
> > applied was a clumsy way to re-open the discussion without mentionning the
> > above email, but if 1) the only changes before the DEP is accepted are Steve's
> > changes, and 2) the DEP can not be accepted before Steve changes it, then Steve
> > please submit your patches and let's go ahead ?
> 
> thank you for insinuating that I would reject something because
> you suggest it, and accept the same thing from Steve.

Hi Lars,

I am not making insinuations.  I try my best in all my emails to avoid style
figures that may create misunderstandings, especially that I am not a native
English speaker.

I am just pointing out that the situation is blocked if driver A wants no
changes before declaring the DEP accepted, and driver B wants some changes
before the DEP is accepted.  I think that we need to discuss this frankly.

I am all for either marking the DEP accepted, or making a new round of
modifications, but sorry for pointing finger, I think that we waited enough for
Steve's input.  It is for sure valuable, but his latest email in this thread
shows that it is not ready.  I have seen many projects sunk by trying to
involve skilled people who unfortunately do not have time, and I have the
impression that this DEP has this problem.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Tue, 30 Aug 2011 09:42:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 30 Aug 2011 09:43:12 GMT) Full text and rfc822 format available.

Message #171 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Charles Plessy <plessy@debian.org>, 609160@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Tue, 30 Aug 2011 10:38:07 +0100
On Tue, Aug 30, 2011 at 03:57:56PM +0900, Charles Plessy wrote:
> Hi Lars,
> 
> I am not making insinuations.

Sorry, Charles, I was out of line, and my reaction was too strong.

I do think it would be better to forego any changes to DEP5, unless
there's actual problems going on. However, if the policy team wants
to take over edits for now, I'm happy about that, and willing to
declare DEP5 be ACCEPTED. I'd prefer to do that when the Format: url
change can happen, but I don't insist on that.

Steve, is that OK with you?

-- 
Freedom-based blog/wiki/web hosting: http://www.branchable.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Mon, 05 Sep 2011 16:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 05 Sep 2011 16:42:06 GMT) Full text and rfc822 format available.

Message #176 received at 609160@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 609160@bugs.debian.org
Cc: Charles Plessy <plessy@debian.org>, Steve Langasek <vorlon@debian.org>, Lars Wirzenius <liw@liw.fi>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Mon, 5 Sep 2011 18:40:20 +0200
On Tue, Aug 30, 2011 at 10:38:07AM +0100, Lars Wirzenius wrote:
> I do think it would be better to forego any changes to DEP5, unless
> there's actual problems going on. However, if the policy team wants
> to take over edits for now, I'm happy about that, and willing to
> declare DEP5 be ACCEPTED. I'd prefer to do that when the Format: url
> change can happen, but I don't insist on that.
> 
> Steve, is that OK with you?

Looking at the recent exchanges in this bug log, it seems to me that the
list of current issues for inclusion in policy are [1]:

a) missing language improvements (mentioned by Steve)
b) missing patch against policy (mentioned by Russ)

Also, it seems you all agree that including DEP5 in Policy would not be
like carving it in stone; it just means that future changes will happen
according to the usual Policy work-flow.

At present, I think that the format URL annoyance --- which seems to
come up fairly often among DEP5 users --- justifies demoting (a) as a
non-blocker for Policy inclusion.

I think (b) can be fairly quickly addressed, given that the intersection
among participants to this discussion and people routinely preparing
Policy patches is not empty (i.e., Charles, would you be so kind to
propose such a patch, *if* you all agree with this assessment?)


Looking at the Squeeze release timeline, this seems to be the "last
call" time to announce DEP5 as ACCEPTED and still have hopes that quite
a few packages will adopt it for Squeeze, increasing the share of Debian
packages with machine parseable debian/copyright files...


Thanks for considering,
Cheers.

[1] assuming the other "couple of issues" mentioned by Lars as coming
    from Steve are a subset of the language improvements
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Tue, 06 Sep 2011 15:21:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 06 Sep 2011 15:21:14 GMT) Full text and rfc822 format available.

Message #181 received at 609160@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 609160@bugs.debian.org, debian-www@lists.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Wed, 7 Sep 2011 00:16:58 +0900
[Message part 1 (text/plain, inline)]
Dear Policy team and WWW team,

Here are two patches against the debian-policy package, in order to prepare the
distribution of our specification of a machine-readable format for
debian/copyright, drafted as Debian Enhancement Proposal number 5 (DEP 5) at
the following URL:

http://www.debian.org/doc/packaging-manuals/copyright-format/1.0

The first patch just catches up with changes sent by Lars as a driver, and the
second updates the URI to its final version.  Proofreading is appreciated.

After the debian-policy package is updated in unstable, it will be possible to
bring the specification on line by adding a couple of commands to the
parts/7doc cron script of our website, like with the attached patch.  Please
see it as an example only, and see also:

http://anonscm.debian.org/gitweb/?p=debwww/cron.git;a=blob;f=parts/7doc;h=4321c7ffaf32ce08294a9d198cf2d5b089fef0cd;hb=HEAD

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[0001-Patch-from-Lars-Wirzenius-that.patch (text/x-diff, attachment)]
[0002-Use-http-www.debian.org-doc-packaging-manuals-copyri.patch (text/x-diff, attachment)]
[0001-Install-the-machine-readable-format-for-debian-copyr.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Tue, 06 Sep 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 06 Sep 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #186 received at 609160@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Charles Plessy <plessy@debian.org>, 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Tue, 6 Sep 2011 22:42:18 +0200
On Wed, Sep 07, 2011 at 12:16:58AM +0900, Charles Plessy wrote:
> Dear Policy team and WWW team,
> 
> Here are two patches against the debian-policy package, in order to prepare the
> distribution of our specification of a machine-readable format for
> debian/copyright, drafted as Debian Enhancement Proposal number 5 (DEP 5) at
> the following URL:
> 
> http://www.debian.org/doc/packaging-manuals/copyright-format/1.0
> 
> The first patch just catches up with changes sent by Lars as a driver, and the
> second updates the URI to its final version.  Proofreading is appreciated.

Hello Charles,

Could you report a separate bug with the two relevant patches and get some seconds?
We would appreciate that.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Reply sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
You have taken responsibility. (Thu, 08 Sep 2011 16:00:04 GMT) Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@liw.fi>:
Bug acknowledged by developer. (Thu, 08 Sep 2011 16:00:05 GMT) Full text and rfc822 format available.

Message #191 received at 609160-done@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Lars Wirzenius <liw@liw.fi>, 609160-done@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Thu, 8 Sep 2011 17:24:02 +0200
On Sat, Apr 09, 2011 at 07:16:17PM +0100, Lars Wirzenius wrote:
> reopen 609160
> thanks
> 
> Attached please find my changes to the docbook conversion.
> 
> * remove drivers from abstract (we're mentioned in acks, which is
> enough)
> * a couple of missing spaces from markup
> * removal of useless appendix (this was in dep svn already, so better do
> it in the version in policy too)

Hello Lars,

Bug 609160 is fixed in revision 3.9.2.0 already.

Please do not reopen old bugs when proposing new patches, this disrupts the
policy process too much. Fortunately Charles has created another bug #640735
for this patch, and I created a git branch bug640735-bill for it.

Thanks anyway for providing this patch, 

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Fri, 09 Sep 2011 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 09 Sep 2011 08:42:03 GMT) Full text and rfc822 format available.

Message #196 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Fri, 9 Sep 2011 09:37:32 +0100
[Message part 1 (text/plain, inline)]
On Thu, Sep 08, 2011 at 05:24:02PM +0200, Bill Allombert wrote:
> Bug 609160 is fixed in revision 3.9.2.0 already.

No, that revision contained an old, insufficient version of DEP5, which
needed fixing, so using the same bug was entirely appropriate. It
may conflict with your arbitrary rules for dealing with policy bugs,
but it is not my job to find out and obey any different rules for every
package I file bugs against.

If you want to follow particular rules, that's fine, but stop assuming
other people are bound by them. Your rules, so you fix things. Politely,
please.

How many more months will it take to put DEP5 on the policy web pages?
Been waiting that for half a year now... I don't think "the policy
process" is working at all right now.

There is no DEP5 on the policy web pages, and yet even my original
patch included a URL that assumed it would be put there. The bug should
_again be re-opened, since you didn't actually fix it. You merely shifted
stuff around and tidied up your bug list, without actually making
anything better.

Should I conclude that the policy team does not actually want DEP5
in its package? If so, say it, rather than push it around your plate.
I could just put this on the DEP website, or wiki.debian.org, and
be done with it. In fact, perhaps I should just do that instead.
It's not worth having to wait untold months for simple website
updates.

-- 
Freedom-based blog/wiki/web hosting: http://www.branchable.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Fri, 09 Sep 2011 09:45:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 09 Sep 2011 09:46:11 GMT) Full text and rfc822 format available.

Message #201 received at 609160@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Lars Wirzenius <liw@liw.fi>, 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Fri, 9 Sep 2011 11:19:11 +0200
On Fri, Sep 09, 2011 at 09:37:32AM +0100, Lars Wirzenius wrote:
> On Thu, Sep 08, 2011 at 05:24:02PM +0200, Bill Allombert wrote:
> > Bug 609160 is fixed in revision 3.9.2.0 already.
> 
> If you want to follow particular rules, that's fine, but stop assuming
> other people are bound by them. Your rules, so you fix things. Politely,
> please.

The policy process is well documented.  
<http://wiki.debian.org/PolicyChangesProcess>

Beside, Russ could not know about your patch before uploading 3.9.2.0 since
you send it after that date.

> How many more months will it take to put DEP5 on the policy web pages?
> Been waiting that for half a year now... I don't think "the policy
> process" is working at all right now.
> 
> There is no DEP5 on the policy web pages, and yet even my original
> patch included a URL that assumed it would be put there. The bug should
> _again be re-opened, since you didn't actually fix it. You merely shifted
> stuff around and tidied up your bug list, without actually making
> anything better.

I am not in control of the policy web page. All I can do is to upload a policy
package that include DEP5, which was done in 3.9.2.0 by Russ. You can ask
debian-www to add it to the website if it is not already done.

> Should I conclude that the policy team does not actually want DEP5
> in its package? If so, say it, rather than push it around your plate.
> I could just put this on the DEP website, or wiki.debian.org, and
> be done with it. In fact, perhaps I should just do that instead.
> It's not worth having to wait untold months for simple website
> updates.

Whatever changes to policy has to follow the documented policy process, with
a proposer and two seconders and a one-week discussion period. 
When this is done, I can upload policy 3.9.3.0 if you like.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Fri, 09 Sep 2011 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 09 Sep 2011 16:54:03 GMT) Full text and rfc822 format available.

Message #206 received at 609160@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Lars Wirzenius <liw@liw.fi>
Cc: 609160@bugs.debian.org, Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Fri, 09 Sep 2011 09:51:38 -0700
Lars Wirzenius <liw@liw.fi> writes:

> How many more months will it take to put DEP5 on the policy web pages?
> Been waiting that for half a year now... I don't think "the policy
> process" is working at all right now.

Well, no, I would tend to agree that it's not really working.  However,
that's because of lack of manpower more than anything else.  I was doing
most of the commits and most of the release management and then got eaten
by my day job.

> Should I conclude that the policy team does not actually want DEP5
> in its package?

The intent was exactly what I said when we released 3.9.2, namely that it
was going to go into that package for people to look at and then see
whether there were any discovered problems (since it had been converted to
a new document format and the build machinery was all new), and then 3.9.3
would be the official release.  The intent was for 3.9.3 to come within a
month or two, and then I ran out of time and no one else has had the time.

Please don't attribute to malice what can be adequately explained by the
typical problems of volunteer work.

At this point, I would be fully in favor of anyone who has the time to
finish applying whatever patches Steve wanted applied that have consensus
and then uploading 3.9.3 with a request to debian-www that it be linked
into the web site.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#609160; Package debian-policy. (Sun, 11 Sep 2011 08:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 11 Sep 2011 08:45:07 GMT) Full text and rfc822 format available.

Message #211 received at 609160@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Russ Allbery <rra@debian.org>, 609160@bugs.debian.org
Subject: Re: Bug#609160: debian-policy: include DEP5
Date: Sun, 11 Sep 2011 09:41:38 +0100
[Message part 1 (text/plain, inline)]
On Fri, Sep 09, 2011 at 09:51:38AM -0700, Russ Allbery wrote:
> At this point, I would be fully in favor of anyone who has the time to
> finish applying whatever patches Steve wanted applied that have consensus
> and then uploading 3.9.3 with a request to debian-www that it be linked
> into the web site.

Thanks.

Meanwhile, I met with Steve this weekend in person, and we discussed
this. While my preference would be to not do more rounds of tweaks,
I'm happy to let Steve do them. Meanwhile, I'm going to take a hiatus
from driving DEP5: Steve will take care of the final push to fix any
linguistic or other problems, and getting everything ready for the
final version. I will be ignoring everything that has to do with DEP5.

Before you make any changes to the version of DEP5 attached to policy,
please check with Steve first. Thanks.

-- 
Freedom-based blog/wiki/web hosting: http://www.branchable.com/
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Oct 2011 07:36:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:40:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.